MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000631XdebugUsage problems (Wrong Results)public2010-10-27 11:212010-11-07 05:19
Reporteroetting 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1.0 
Target VersionFixed in Version 
Summary0000631: Summary not written when script ended with "exit()"
DescriptionAn old bug (0000068) seem to have reappeared. When you end your script with exit() xdebug doesn't write
the summary line in the profile output file
TagsNo tags attached.
Operating SystemMac OS X
PHP Version5.3.2
Attached Files

- Relationships
has duplicate 0000656resolvedderick Summary not written when script ended with "exit()" 

-  Notes
(0001593)
derick (administrator)
2010-10-28 10:17

I can reproduce this, and I have a fix, but I need to sort out some merging-to-branch issues before I can commit it.

The patch is:

Index: xdebug.c
===================================================================
--- xdebug.c (revision 3360)
+++ xdebug.c (working copy)
@@ -532,7 +532,8 @@ PHP_MINIT_FUNCTION(xdebug)
        zend_xdebug_global_offset = zend_get_resource_handle(&dummy_ext);
 
        /* Overload the "exit" opcode */
- XDEBUG_SET_OPCODE_OVERRIDE_COMMON(ZEND_EXIT);
+ XDEBUG_SET_OPCODE_OVERRIDE_ASSIGN(exit, ZEND_EXIT);
+
        XDEBUG_SET_OPCODE_OVERRIDE_COMMON(ZEND_JMP);
        XDEBUG_SET_OPCODE_OVERRIDE_COMMON(ZEND_JMPZ);
        XDEBUG_SET_OPCODE_OVERRIDE_COMMON(ZEND_JMPNZ);
(0001599)
derick (administrator)
2010-11-07 05:19

Fixed in rev. 3369

- Issue History
Date Modified Username Field Change
2010-10-27 11:21 oetting New Issue
2010-10-28 10:17 derick Note Added: 0001593
2010-10-28 10:17 derick Assigned To => derick
2010-10-28 10:17 derick Status new => confirmed
2010-11-07 05:19 derick Note Added: 0001599
2010-11-07 05:19 derick Status confirmed => closed
2010-11-07 05:19 derick Resolution open => fixed
2011-02-17 21:19 derick Relationship added has duplicate 0000656
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker